SDL_sem Struct Reference
Collaboration diagram for SDL_sem:
[legend]

## Data Fields

Uint32 | count
Uint32 | waiters_count
SDL_mutex * | count_lock
SDL_cond * | count_nonzero
sem_t | sem

## Detailed Description

Definition at line 76 of file SDL_syssem.c.

## Field Documentation

## count

Uint32 SDL_sem::count

Definition at line 78 of file SDL_syssem.c.

## count_lock

SDL_mutex* SDL_sem::count_lock

Definition at line 80 of file SDL_syssem.c.

## count_nonzero

SDL_cond* SDL_sem::count_nonzero

Definition at line 81 of file SDL_syssem.c.

## sem

sem_t SDL_sem::sem

Definition at line 41 of file SDL_syssem.c.

## waiters_count

Uint32 SDL_sem::waiters_count

Definition at line 79 of file SDL_syssem.c.

The documentation for this struct was generated from the following file:

- src/thread/generic/SDL_syssem.c